Bug 1026868 - Direct LUN is not being updated after resizing
Direct LUN is not being updated after resizing
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.3.0
All Linux
unspecified Severity high
: ---
: 3.4.0
Assigned To: Daniel Erez
Leonid Natapov
storage
: Reopened
Depends On:
Blocks: rhev3.4beta 1142926
  Show dependency treegraph
 
Reported: 2013-11-05 09:50 EST by Pavel Zhukov
Modified: 2016-02-10 12:18 EST (History)
15 users (show)

See Also:
Fixed In Version: ovirt-engine-3.4.0_av2
Doc Type: Bug Fix
Doc Text:
Previously, changes made to the size of a direct LUN were recognized and implemented by VDSM, but not displayed in the web interface or the database. Now, with new tracking values in disk stats for direct LUN disks, the new size displays correctly in the web interface and the database.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-09 11:01:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
engine.log (400.52 KB, text/plain)
2013-11-05 09:51 EST, Pavel Zhukov
no flags Details
vdsm.log 3.3 (6.02 MB, text/plain)
2013-11-05 09:54 EST, Pavel Zhukov
no flags Details
device list (3.48 KB, text/plain)
2013-11-05 09:56 EST, Pavel Zhukov
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 22978 None None None Never
oVirt gerrit 24235 None None None Never
oVirt gerrit 24527 None None None Never
oVirt gerrit 24689 None None None Never

  None (edit)
Description Pavel Zhukov 2013-11-05 09:50:58 EST
Description of problem:
Direct LUN size is not being updated even if vdsm and qemu can see new size.

Version-Release number of selected component (if applicable):
rhevm-3.3.0-0.31.beta1.el6ev.noarch

How reproducible:
100%

Steps to Reproduce:
1. Attach direct LUN to the VM
2. Resize backend device
3. (iscsi) rescan the sessions iscsiadm -m session -R
4. Check if VM can see new size
5. Optional: Stop VM
6. Deactivate LUN and activate it again

Actual results:
Old size is in  UI and DB. vdsClient returns new capacity. 

Expected results:
New size should be displayed and DB should be updated. 

Additional info:
Comment 1 Pavel Zhukov 2013-11-05 09:51:59 EST
Created attachment 819808 [details]
engine.log
Comment 2 Pavel Zhukov 2013-11-05 09:54:34 EST
Created attachment 819810 [details]
vdsm.log 3.3
Comment 3 Pavel Zhukov 2013-11-05 09:56:44 EST
Created attachment 819812 [details]
device list
Comment 6 Ayal Baron 2014-01-29 08:30:29 EST
This was solved in 3.4
Comment 7 Aharon Canan 2014-01-29 08:47:09 EST
so why not move it to "ON_QA" for verification in 3.4?
Comment 8 Daniel Erez 2014-01-29 09:31:58 EST
The hasn't been resolved yet. Moving to ASSIGNED.
Comment 11 Leonid Natapov 2014-03-10 07:45:44 EDT
3.4.0-0.3.master.el6ev. We now display new size correctly in UI. VM operational.
Comment 12 errata-xmlrpc 2014-06-09 11:01:00 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2014-0506.html

Note You need to log in before you can comment on or make changes to this bug.